it.csi.mddtools.guigen

## Interface DeclarativeUIConstraint

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, UISecurityConstraint

      public interface DeclarativeUIConstraint
      extends UISecurityConstraint

  A representation of the model object 'Declarative UI Constraint'. UI constraint basato sull'esecuzione di uno script durante la fase di rendering dell'elemento di UI. Lo script deve essere codificato come espressione booleana nel linguaggio definito dalla property "language". All'interno dell'espressione possono essere utilizzati tutti i campi che sono disponibili nel model della schermata

  The following features are supported:

  - `Language`
  - `Script`
  See Also:
    `GuigenPackage.getDeclarativeUIConstraint()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `InlineScriptingLanguage` | `getLanguage()` Returns the value of the 'Language' attribute.
    `java.lang.String` | `getScript()` Returns the value of the 'Script' attribute
    `void` | `setLanguage(InlineScriptingLanguage value)` Sets the value of the '`Language`' attribute
    `void` | `setScript(java.lang.String value)` Sets the value of the '`Script`' attribute

    - ### Methods inherited from interface it.csi.mddtools.guigen.UISecurityConstraint

      `isEnabled, isVisible, setEnabled, setVisible`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getLanguage

          InlineScriptingLanguage getLanguage()

      Returns the value of the 'Language' attribute. The default value is `"beanshell"`. The literals are from the enumeration `InlineScriptingLanguage`. Il linguaggio in cui deve essere scritta l'espressione del constraint
      Returns:
        the value of the 'Language' attribute.
      See Also:
        `InlineScriptingLanguage`, `setLanguage(InlineScriptingLanguage)`, `GuigenPackage.getDeclarativeUIConstraint_Language()`

    - #### setLanguage

          void setLanguage(InlineScriptingLanguage value)

      Sets the value of the '`Language`' attribute.
      Parameters:
        `value` - the new value of the 'Language' attribute.
      See Also:
        `InlineScriptingLanguage`, `getLanguage()`

    - #### getScript

          java.lang.String getScript()

      Returns the value of the 'Script' attribute. Lo script del constraint. deve essere una espressione booleana. Può utilizzare tutte le properties disponibili nel model del ContentPanel e deve avere un valore booleano.
      Returns:
        the value of the 'Script' attribute.
      See Also:
        `setScript(String)`, `GuigenPackage.getDeclarativeUIConstraint_Script()`

    - #### setScript

          void setScript(java.lang.String value)

      Sets the value of the '`Script`' attribute.
      Parameters:
        `value` - the new value of the 'Script' attribute.
      See Also:
        `getScript()`